/*
 * Author: 黎永顺
 * Description:
 * Date: 2022-05-13 16:36:09
 * LastEditTime: 2022-06-22 14:37:27
 */
import { WeaTools } from "ecCom";

export const getHasRight = params => {
  return WeaTools.callApi(
    "/api/bs/hrmorganization/postinfo/getHasRight",
    "GET",
    params
  );
};

export const getSearchCondition = params => {
  return WeaTools.callApi(
    "/api/bs/hrmorganization/postinfo/getSearchCondition",
    "GET",
    params
  );
};

export const getPostInfoForm = params => {
  return WeaTools.callApi(
    "/api/bs/hrmorganization/postinfo/getPostInfoForm",
    "GET",
    params
  );
};
export const savePostInfo = params => {
  return fetch("/api/bs/hrmorganization/postinfo/savePostInfo", {
    method: "POST",
    mode: "cors",
    headers: {
      "Content-Type": "application/json"
    },
    body: JSON.stringify(params)
  });
};
export const updatePostInfo = params => {
  return fetch("/api/bs/hrmorganization/postinfo/updatePostInfo", {
    method: "POST",
    mode: "cors",
    headers: {
      "Content-Type": "application/json"
    },
    body: JSON.stringify(params)
  });
};
export const updateForbiddenTagById = params => {
  return fetch("/api/bs/hrmorganization/postinfo/updateForbiddenTagById", {
    method: "POST",
    mode: "cors",
    headers: {
      "Content-Type": "application/json"
    },
    body: JSON.stringify(params)
  });
};
export const savePost = params => {
  return fetch("/api/bs/hrmorganization/post/savePost", {
    method: "POST",
    mode: "cors",
    headers: {
      "Content-Type": "application/json"
    },
    body: JSON.stringify(params)
  });
};
export const updatePost = params => {
  return fetch("/api/bs/hrmorganization/post/updatePost", {
    method: "POST",
    mode: "cors",
    headers: {
      "Content-Type": "application/json"
    },
    body: JSON.stringify(params)
  });
};

export const deleteByIds = params => {
  return fetch("/api/bs/hrmorganization/post/deleteByIds", {
    method: "POST",
    mode: "cors",
    headers: {
      "Content-Type": "application/json"
    },
    body: JSON.stringify(params)
  });
};

export const deletePostinfoByIds = params => {
  return fetch("/api/bs/hrmorganization/postinfo/deleteByIds", {
    method: "POST",
    mode: "cors",
    headers: {
      "Content-Type": "application/json"
    },
    body: JSON.stringify(params)
  });
};

export const getTreeData = params => {
  return WeaTools.callApi(
    "/api/bs/hrmorganization/post/getTreeData",
    "GET",
    params
  );
};
export const getPostForm = params => {
  return WeaTools.callApi(
    "/api/bs/hrmorganization/post/getPostForm",
    "GET",
    params
  );
};

export const getPostInfoTable = params => {
  return WeaTools.callApi(
    "/api/bs/hrmorganization/postinfo/getPostInfoTable",
    "GET",
    params
  );
};
